### Method

# Gtk TreeListModelget_passthrough

#### Declaration [src]

    gboolean
    gtk_tree_list_model_get_passthrough (
      GtkTreeListModel* self
    )

#### Description [src]

Gets whether the model is passing through original row items.

If this function returns `FALSE`, the `GListModel` functions for `self` return custom `GtkTreeListRow` objects. You need to call `gtk_tree_list_row_get_item()` on these objects to get the original item.

If `TRUE`, the values of the child models are passed through in their original state. You then need to call `gtk_tree_list_model_get_row()` to get the custom `GtkTreeListRow`s.

Gets property | `Gtk.TreeListModel:passthrough`

#### Return value

Type: `gboolean`

`TRUE` if the model is passing through original row items.